Update Contact Exclusion
Update mutable fields of a contact-level exclusion.
Requires the contact_exclusions:write scope on the API key.
PATCH
/
v1
/
contact-exclusions
/
{exclusion_id}
Update Contact Exclusion
curl --request PATCH \
--url https://api.topo.io/v1/contact-exclusions/{exclusion_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>",
"until": "2023-11-07T05:31:56Z"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({message: '<string>', until: '2023-11-07T05:31:56Z'})
};
fetch('https://api.topo.io/v1/contact-exclusions/{exclusion_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/contact-exclusions/{exclusion_id}"
payload = {
"message": "<string>",
"until": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"linkedin_url": "<string>",
"reason": "BAD_TIMING",
"message": "<string>",
"until": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer API key issued from Settings → Developers.
Path Parameters
ID of the exclusion.
Body
application/json
Update Contact Exclusion payload
New exclusion reason.
Available options:
BAD_TIMING, BOUNCED, COMPETITOR, CONTACT_REFUSED, INTERESTED, MEETING, NOT_INTERESTED, OTHER, OUT_OF_OFFICE, UNKNOWN, UNSUBSCRIBED, WRONG_PERSON, EXCLUDE_FROM_SEARCH, EXCLUDE_FROM_CRM, REFERRAL, LEFT_COMPANY New operator note.
New expiration timestamp. Pass null to make the exclusion permanent.
Response
200 - application/json
Successful Response
Unique identifier.
Excluded email.
Excluded LinkedIn URL.
Reason for the exclusion.
Available options:
BAD_TIMING, BOUNCED, COMPETITOR, CONTACT_REFUSED, INTERESTED, MEETING, NOT_INTERESTED, OTHER, OUT_OF_OFFICE, UNKNOWN, UNSUBSCRIBED, WRONG_PERSON, EXCLUDE_FROM_SEARCH, EXCLUDE_FROM_CRM, REFERRAL, LEFT_COMPANY Operator note.
When the exclusion expires.
When the exclusion was created.
When the exclusion last changed.
Was this page helpful?
⌘I
Update Contact Exclusion
curl --request PATCH \
--url https://api.topo.io/v1/contact-exclusions/{exclusion_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>",
"until": "2023-11-07T05:31:56Z"
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({message: '<string>', until: '2023-11-07T05:31:56Z'})
};
fetch('https://api.topo.io/v1/contact-exclusions/{exclusion_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.topo.io/v1/contact-exclusions/{exclusion_id}"
payload = {
"message": "<string>",
"until": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"linkedin_url": "<string>",
"reason": "BAD_TIMING",
"message": "<string>",
"until": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}